import sys

import bluetooth

def bluetooth_scan():
	print('Discovering Bluetooth Devices...')

	nearby_devices = bluetooth.discover_devices(duration=10, lookup_names=True, flush_cache=True, lookup_class=False)

	print('Discovered {} devices:'.format(len(nearby_devices)))
	for device in nearby_devices:
		print(f'{device[0]}\t{device[1]}')

def main():
	bluetooth_scan()

if (__name__ == "__main__"):
	sys.exit(main())